function MAPOUT = validateslipsurface4( MAP, slipsurfacevalue )

MAP = MAP == slipsurfacevalue; 

slipsurfacepixels = find( MAP );

MAPOUT = zeros(size(MAP));

for idx = 1: length( slipsurfacepixels ),
    
    MAP = validateslipsurfacepixel4( MAP, slipsurfacepixels(idx) ); 
    
end;

MAPOUT = MAP;